Place a Block Trade for a Set of Accounts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Posts a block trade order to the system. A block trade is a large order that aggregates multiple orders by various advisors into a single executable trade.

string
required

Client-provided unique ID for the order; for example, to cross-reference with an internal system. Must be unique within the trading day, otherwise duplicate orders will be rejected during pre-trade checks.

string
required

Instrument ISIN

double
≥ 0

The Percentage Price is represented as a percentage of par. For a typical $1,000 par value bond, a percentage price of $90 values the bond at $900. This is a clean price, which does not include accrued interest.

string
enum
required
Defaults to limit

Represents the types of orders Moment currently supports.

  • limit
  • market
  • rfq_response
Allowed:
boolean
required
Defaults to false

(default) false. If true, eligible for execution outside regular trading hours. In live mode, trading hours are from 9:30 am to 4:00 pm ET. Extended hours are from 7:30 am to 5:30 pm ET. For paper trading, normal trading hours are from 9:30 am to 4:00 pm ET. Extended hours are from 1:00 am to 11:00 pm ET.

string

Custom, arbitrary, client-provided metadata.

string
enum
required

Represents which side this order is on:

  • buy
  • sell
Allowed:
allocations
array of objects
required
allocations*
string
enum
required

The allocation strategy to use for the order. The allocation strategy must be valid for the custodian and determines how the order is allocated across multiple accounts.

  • fifo_without_averaging
    Allocates the filled quantity on a first-in, first-out basis (FIFO) without averaging; maintaining the individual trade prices for each allocation.
Allowed:
metadata
object

Metadata is an arbitrary key-value store for client-provided data associated with the order.

int64

The targeted settlement date for the order in the format of YYYYMMDD, like 20090101.

boolean
Defaults to false

Flag to indicate if the order requires manual review before execution.

string

Reason for why the order requires review. Only applicable when review_required is true.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json